var system = require("../../../system")
const CtlBase = require("../../ctl.base");
class DeliverybillCtl extends CtlBase {
  constructor() {
    super("rejreex", CtlBase.getServiceName(DeliverybillCtl));
  }

  async test () {
    console.log('test------')
    return system.getResult('test')
  }

  async createDeliver(pobj, qobj, req) { // 接收中台推送?
    await this.service.createDeliver(pobj)
  }

  async findAndCountAll(pobj, qobj, req) {
    try {
      let result = await this.service.getList(pobj)
      return system.getResultSuccess(result)
    } catch (error) {
      return system.getResultFail(error.message)
    }
  }
}
module.exports = DeliverybillCtl;
